import styled from 'styled-components'
import { colours } from '../../assets/theme'

import { H1 } from '../Text'

import Logo from '../Logo'

export const Wrapper = styled.div`
  height: 100vh;
  width: 100vw;
  padding: 6em 2em 2em 2em;
  display: flex;
  /* justify-content: space-between; */
  /* flex-direction: column; */

  background: url(https://images.unsplash.com/photo-1579762715118-a6f1d4b934f1?ixlib=rb-1.2.1&ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&auto=format&fit=crop&w=3031&q=80)
    ${colours.rose};
  box-sizing: border-box;
  background-size: cover;
  background-position-y: 50%;
  background-position-x: 23vw;
  background-blend-mode: soft-light;
  position: fixed;
  overflow-y: scroll;

  p,
  h1,
  h2 {
    color: ${colours.midnightDarker};
  }

  @media screen and (max-width: 1200px) {
    padding: 6em 1.5em 1.5em 1.5em;
    background-size: 150%;
    background-position-x: 0vw;
  }
  @media screen and (max-width: 800px) {
    padding: 6em 1em 1em 1em;
    background-size: 250%;
    background-position-x: -50vw;
  }
`

export const Top = styled.div`
  width: 50%;
`

const gradientColour = '#F8E5E2'
const getGradient = direction =>
  `linear-gradient(to ${direction}, ${gradientColour}ee 0%,${gradientColour}00 100%);`

// prettier-ignore
export const Fade = styled.div`
  width: 100%;
  background-color: linear;
  position: fixed;
  padding: 2em 0 1em 2em;
  top: 0;
  left: 0;
  background: ${getGradient('bottom')};
`
export const LoaderWrapper = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  position: fixed;
  top: 0;
  width: 50vw;
`

export const Content = styled.div`
  /* margin-bottom: 3em; */
`

export const PositionedLogo = styled(Logo)``

export const TaglineContainer = styled.div`
  background: ${getGradient('top')};
  position: fixed;
  bottom: 0em;
  padding-bottom: 0.5em;
  right: 1em;
  pointer-events: none;

  @media screen and (max-width: 1200px) {
    width: 100vw;
    right: auto;
    left: 1.5em;
    h1 {
      font-size: 32px;
      text-align: left;
    }
  }

  @media screen and (max-width: 800px) {
    h1 {
      font-size: 24px;
    }
  }
`
